# JDAOptions (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: JDAOptions

Package co.aikar.commands

# Class JDAOptions

java.lang.Object
co.aikar.commands.JDAOptions

public class JDAOptions extends Object

## Constructor Summary

Constructors
Constructor
Description
`JDAOptions()`

## Method Summary

Modifier and Type
Method
Description
`JDAOptions`
`configProvider(@NotNull CommandConfigProvider configProvider)`
`JDACommandManager`
`create(net.dv8tion.jda.api.JDA jda)`
`JDAOptions`
`defaultConfig(@NotNull CommandConfig defaultConfig)`
`JDAOptions`
`permissionResolver(@NotNull CommandPermissionResolver permissionResolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDAOptions

public JDAOptions()

## Method Details

### defaultConfig

public JDAOptions defaultConfig (@NotNull @NotNull CommandConfig defaultConfig)

### configProvider

public JDAOptions configProvider (@NotNull @NotNull CommandConfigProvider configProvider)

### permissionResolver

public JDAOptions permissionResolver (@NotNull @NotNull CommandPermissionResolver permissionResolver)

### create

public JDACommandManager create (net.dv8tion.jda.api.JDA jda)